<?php
/**
 * Displays a Firedrum Signup Form
 **/
function firedrum_signup_form($args = array()) {
	extract($args);
	if(get_option('fd_apikey')!='')
	{
	$header =  get_option('fd_header_content');
	// See if we have custom header content
	if (!empty($header)) {
		// See if we need to wrap the header content in our own div
		if (strlen($header) == strlen(strip_tags($header))){
			$fshort = !empty($before_title) ? $before_title : '<div class="fd_custom_border_hdr">';
			$fshort .= $header; // don't escape $header b/c it may have HTML allowed
			$fshort .= !empty($after_title) ? $after_title : '</div><!-- /fd_custom_border_hdr -->';
		}
		else {
			$fshort .= $header; // don't escape $header b/c it may have HTML allowed
		}
	}
	$sub_heading = trim(get_option('fd_subheader_content'));
	?>
    <?php $fshort .= '<div id="fd_signup">
    <form method="post" action="#fd_signup" id="fd_signup_form">
		<input type="hidden" id="fd_submit_type" name="fd_submit_type" value="html" />
		<input type="hidden" name="fire_action" value="fd_submit_signup_form" />';
		
		if(get_option('fd_form_honeypot')!='')
                {
                $fshort .= '<span style="display:none;visibility:hidden;">
		 Please ignore this text box. It is used to detect spammers. If you enter anything into this text box, your message will not be sent.
		 <input type="text" name="are_you_human_54" size="1" value="">
		</span>';
               }
		
	if ($sub_heading) { 
	
		$fshort .= '<div id="fd_subheader">';
                               $fshort .= $sub_heading;
		$fshort .= '</div><!-- /fd_subheader -->';
	} 

    	$fshort .= '<div class="fd_form_inside">
        <div class="updated" id="fd_message">';
			$fshort .= firedrum_global_msg();
		$fshort .= '</div><!-- /fd_message -->';
            
                  $fshort .= '<div class="fd_merge_var">
                  <label class="fd_var_label" for="email">Email Address<span class="fd_required">*</span></label>
                  <input name="email" id="email" type="text" size="25" maxlength="64" class="fd_input">
                  </div>';
                if(get_option('fd_efname')!='')
                {
               	$fshort .= '<div class="fd_merge_var">
                  <label class="fd_var_label" for="efname">First Name</label>
                  <input name="efname" id="efname" type="text" size="25" maxlength="64">
                </div>';
		}
                if(get_option('fd_elname')!='')
                {
              $fshort .= ' <div class="fd_merge_var">
                   <label class="fd_var_label" for="elname">Last Name</label>
                  <input name="elname" id="elname" type="text" size="25" maxlength="64">
                </div>';
		}
                if(get_option('fd_company')!='')
                {
                $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="company">Company</label>
                  <input name="company" id="company" type="text" size="25" maxlength="255">
                  </div>';
		}
                if(get_option('fd_address')!='')
                {
                $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="address">Address</label>
                  <input name="address" id="address" type="text" size="25" maxlength="255">
                  </div>';
		}
                if(get_option('fd_address2')!='')
                {
                $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="address2">Address 2</label>
                  <input name="address2" id="address2" type="text" size="25" maxlength="64">
                  </div>';
		}
                if(get_option('fd_city')!='')
                {
               $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="city">City</label>
                  <input name="city" id="city" type="text" size="25" maxlength="64">
                  </div>';
				}
                if(get_option('fd_state')!='')
                {
               $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="state">State</label>
                  <select name="state" id="state">
                      <option value="">-</option>
                      <option value="Alabama">Alabama</option>
                      <option value="Alaska">Alaska</option>
                      <option value="Alberta">Alberta</option>
                      <option value="American Samoa">American Samoa</option>
                      <option value="Arizona">Arizona</option>
                      <option value="Arkansas">Arkansas</option>
                      <option value="British Columbia">British Columbia</option>
                      <option value="California">California</option>
                      <option value="Colorado">Colorado</option>
                      <option value="Connecticut">Connecticut</option>
                      <option value="Delaware">Delaware</option>
                      <option value="District of Columbia">District of Columbia</option>
                      <option value="Florida">Florida</option>
                      <option value="Georgia">Georgia</option>
                      <option value="Guam">Guam</option>
                      <option value="Hawaii">Hawaii</option>
                      <option value="Idaho">Idaho</option>
                      <option value="Illinois">Illinois</option>
                      <option value="Indiana">Indiana</option>
                      <option value="Iowa">Iowa</option>
                      <option value="Kansas">Kansas</option>
                      <option value="Kentucky">Kentucky</option>
                      <option value="Louisiana">Louisiana</option>
                      <option value="Maine">Maine</option>
                      <option value="Manitoba">Manitoba</option>
                      <option value="Maryland">Maryland</option>
                      <option value="Massachusetts">Massachusetts</option>
                      <option value="Michigan">Michigan</option>
                      <option value="Minnesota">Minnesota</option>
                      <option value="Mississippi">Mississippi</option>
                      <option value="Missouri">Missouri</option>
                      <option value="Montana">Montana</option>
                      <option value="Nebraska">Nebraska</option>
                      <option value="Nevada">Nevada</option>
                      <option value="New Brunswick">New Brunswick</option>
                      <option value="New Hampshire">New Hampshire</option>
                      <option value="New Jersey">New Jersey</option>
                      <option value="New Mexico">New Mexico</option>
                      <option value="New York">New York</option>
                      <option value="Newfoundland">Newfoundland</option>
                      <option value="North Carolina">North Carolina</option>
                      <option value="North Dakota">North Dakota</option>
                      <option value="Northern Mariana Islands">Northern Mariana Islands</option>
                      <option value="North West Territory">North West Territory</option>
                      <option value="Nova Scotia">Nova Scotia</option>
                      <option value="Ohio">Ohio</option>
                      <option value="Oklahoma">Oklahoma</option>
                      <option value="Ontario">Ontario</option>
                      <option value="Oregon">Oregon</option>
                      <option value="Pennsylvania">Pennsylvania</option>
                      <option value="Puerto Rico">Puerto Rico</option>
                      <option value="Quebec">Quebec</option>
                      <option value="Rhode Island">Rhode Island</option>
                      <option value="Saskatchewan">Saskatchewan</option>
                      <option value="South Carolina">South Carolina</option>
                      <option value="South Dakota">South Dakota</option>
                      <option value="Tennessee">Tennessee</option>
                      <option value="Texas">Texas</option>
                      <option value="Trust Territories">Trust Territories</option>
                      <option value="Utah">Utah</option>
                      <option value="Vermont">Vermont</option>
                      <option value="Virgin Islands">Virgin Islands</option>
                      <option value="Virginia">Virginia</option>
                      <option value="Washington">Washington</option>
                      <option value="West Virginia">West Virginia</option>
                      <option value="Wisconsin">Wisconsin</option>
                      <option value="Wyoming">Wyoming</option>
                      <option value="Yukon">Yukon</option>
                      <option value="Other">Other</option>
                    </select>
                    </div>';
				}
                if(get_option('fd_zip')!='')
                {
               $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="zip">Zip</label>
                  <input name="zip" id="zip" type="text" size="10" maxlength="64">
                  </div>';
				}
                if(get_option('fd_phone')!='')
                {
                $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="phone">Phone</label>
                  <input name="phone" id="phone" type="text" size="10" maxlength="64">
                  </div>';
				}
                if(get_option('fd_mphone')!='')
                {
                $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="mphone">Mobile</label>
                  <input name="mphone" id="mphone" type="text" size="10" maxlength="64">
                  </div>';
				}
                if(get_option('fd_fax')!='')
                {
               $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="fax">Fax</label>
                  <input name="fax" id="fax" type="text" size="10" maxlength="64">
                  </div>';
				}
                if(get_option('fd_gender')!='')
                {
              $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="gender">Gender</label>
                  <select name="gender" id="gender">
                      <option value="">-</option>
                      <option value="male">Male</option>
                      <option value="female">Female</option>
                    </select>
                    </div>';
				}
                if(get_option('fd_bday')!='')
                {
              $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="bdaymonth">Birthday</label>
                  <select name="bdaymonth" id="bdaymonth">
                      <option selected value="">Month</option>
                      <option value="01">January</option>
                      <option value="02">February</option>
                      <option value="03">March</option>
                      <option value="04">April</option>
                      <option value="05">May</option>
                      <option value="06">June</option>
                      <option value="07">July</option>
                      <option value="08">August</option>
                      <option value="09">September</option>
                      <option value="10">October</option>
                      <option value="11">November</option>
                      <option value="12">December</option>
                    </select>
                    <select name="bdayday">
                      <option selected value="">Day</option>
                      <option value="01">01</option>
                      <option value="02">02</option>
                      <option value="03">03</option>
                      <option value="04">04</option>
                      <option value="05">05</option>
                      <option value="06">06</option>
                      <option value="07">07</option>
                      <option value="08">08</option>
                      <option value="09">09</option>
                      <option value="10">10</option>
                      <option value="11">11</option>
                      <option value="12">12</option>
                      <option value="13">13</option>
                      <option value="14">14</option>
                      <option value="15">15</option>
                      <option value="16">16</option>
                      <option value="17">17</option>
                      <option value="18">18</option>
                      <option value="19">19</option>
                      <option value="20">20</option>
                      <option value="21">21</option>
                      <option value="22">22</option>
                      <option value="23">23</option>
                      <option value="24">24</option>
                      <option value="25">25</option>
                      <option value="26">26</option>
                      <option value="27">27</option>
                      <option value="28">28</option>
                      <option value="29">29</option>
                      <option value="30">30</option>
                      <option value="31">31</option>
                    </select>
                 </div>';
		}
                if(get_option('fd_annv')!='')
                {
                $fshort .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="annvmonth">Anniversary</label>
                  <select name="annvmonth" id="annvmonth">
                      <option selected value="">Month</option>
                      <option value="01">January</option>
                      <option value="02">February</option>
                      <option value="03">March</option>
                      <option value="04">April</option>
                      <option value="05">May</option>
                      <option value="06">June</option>
                      <option value="07">July</option>
                      <option value="08">August</option>
                      <option value="09">September</option>
                      <option value="10">October</option>
                      <option value="11">November</option>
                      <option value="12">December</option>
                    </select>
                    <select name="annvday">
                      <option selected value="">Day</option>
                      <option value="01">01</option>
                      <option value="02">02</option>
                      <option value="03">03</option>
                      <option value="04">04</option>
                      <option value="05">05</option>
                      <option value="06">06</option>
                      <option value="07">07</option>
                      <option value="08">08</option>
                      <option value="09">09</option>
                      <option value="10">10</option>
                      <option value="11">11</option>
                      <option value="12">12</option>
                      <option value="13">13</option>
                      <option value="14">14</option>
                      <option value="15">15</option>
                      <option value="16">16</option>
                      <option value="17">17</option>
                      <option value="18">18</option>
                      <option value="19">19</option>
                      <option value="20">20</option>
                      <option value="21">21</option>
                      <option value="22">22</option>
                      <option value="23">23</option>
                      <option value="24">24</option>
                      <option value="25">25</option>
                      <option value="26">26</option>
                      <option value="27">27</option>
                      <option value="28">28</option>
                      <option value="29">29</option>
                      <option value="30">30</option>
                      <option value="31">31</option>
                    </select>
                 </div>';
		}
				$custom_fields=firedrum_get_custom_fields_from_api();
				if(is_array($custom_fields['customFields']))
				  {
					  foreach($custom_fields['customFields'] as $field)
					  {
						  if(get_option('cust#_'.$field['id'])!='')
							{
							if($field['dataType']!='date') {
                                   $fshortcode .= '<div class="fd_merge_var">
                                   <label class="fd_var_label" for="cust#_'.$field['id'].'">'.$field['name'].'</label>
                                  <input name="cust#_'.$field['id'].'" id="cust#_'.$field['id'].'"  type="text" size="25" maxlength="64">
                                  </div>';
                                  } else {
							
					$fshortcode .= '<div class="fd_merge_var">
                                   <label class="fd_var_label" for="cust#_'.$field['id'].'">'.$field['name'].'</label>
                                   
                                    <select  name="custmonth#_'.$field['name'].'" id="cust#_'.$field['name'].'">
                                    	<option selected value="">Month</option>
                      			<option value="01">January</option>
                      			<option value="02">February</option>
                      			<option value="03">March</option>
                      			<option value="04">April</option>
                      			<option value="05">May</option>
                      			<option value="06">June</option>
                     			<option value="07">July</option>
                      			<option value="08">August</option>
                      			<option value="09">September</option>
                      			<option value="10">October</option>
                      			<option value="11">November</option>
                      			<option value="12">December</option>
                                     </select>
                                   
                                    <select  name="custday#_'.$field['name'].'" id="cust#_'.$field['name'].'">
                                      <option selected value="">Day</option>
                      		      <option value="01">01</option>
                      		      <option value="02">02</option>
                      		      <option value="03">03</option>
                      		      <option value="04">04</option>
                     		      <option value="05">05</option>
		                      <option value="06">06</option>
		                      <option value="07">07</option>
		                      <option value="08">08</option>
		                      <option value="09">09</option>
		                      <option value="10">10</option>
		                      <option value="11">11</option>
		                      <option value="12">12</option>
		                      <option value="13">13</option>
		                      <option value="14">14</option>
		                      <option value="15">15</option>
		                      <option value="16">16</option>
		                      <option value="17">17</option>
		                      <option value="18">18</option>
		                      <option value="19">19</option>
		                      <option value="20">20</option>
		                      <option value="21">21</option>
		                      <option value="22">22</option>
		                      <option value="23">23</option>
		                      <option value="24">24</option>
		                      <option value="25">25</option>
		                      <option value="26">26</option>
		                      <option value="27">27</option>
		                      <option value="28">28</option>
		                      <option value="29">29</option>
		                      <option value="30">30</option>
		                      <option value="31">31</option>
                                    </select>
                                    
                                  </div>';		
						}
						
						}
						  
					  }
					  
				  }
                if(get_option('fd_cat_use')!='' && get_option('fd_cat_use')=='Y')
                {
					$category = firedrum_get_category_from_api();
					   $fshort .= '<div class="interestFields">
						   <h3>Interests</h3>';
					 if(is_array($category['categories']))
			 		 {
						  foreach($category['categories'] as $cat)
						  {
							  if(get_option('000'.$cat['id'])!='')
							  {
							  $fshort .= '<input type="checkbox" name="'.get_option('000'.$cat['id']).'" value="'.get_option('000'.$cat['id']).'">
								  <span class="catName">'.$cat['name'].'</span>';
							  }
					  	}
					 }
                                    $fshort .= '</div>';
				}
				else
				{
				$category = firedrum_get_category_from_api();

						  foreach($category['categories'] as $cat)
						  {
							  if(get_option('000'.$cat['id'])!='')
							  {

                                  $fshort .= '<input type="hidden" name="'.get_option('000'.$cat['id']).'" value="'.get_option('000'.$cat['id']).'">';
							  }
					  }
				}
				
				if(get_option('fd_form_captcha')!='' && shortcode_exists( 'bws_captcha' ))
                {
                $fshort .= '<div class="fd_merge_var">' . do_shortcode('[bws_captcha]') . '</div>';
				}
				
                $fshort .= '<div class="fd_signup_submit">';
                if(get_option('fd_submit_text')!='')
                {
                  $fshort .= '<input type="submit" name="fd_signup_submit" id="fd_signup_submit" value="'.get_option('fd_submit_text').'">';
				}
				else
				{
                  $fshort .= '<input type="submit" name="fd_signup_submit" id="fd_signup_submit" value="Submit">';

				}
                  if(get_option('fd_form_poweredby') == 'Y') {              
                    $fshort .= '<div class="poweredby" style="text-align: center; font-size: 12px; margin-top: 8px;">powered by <a href="http://www.firedrum.com/" target="_blank">FireDrum</a></div>';           
                  }
            $fshort .= '</div>
        
        </div>
    </form>
    </div>';
  }
  return $fshort;
}
function firedrum_form_shortcode() {
	if(get_option('fd_apikey')!='')
	{
	//$header =  get_option('fd_header_content');
	// See if we have custom header content
	//$sub_heading = trim(get_option('fd_subheader_content'));
	?>
    <?php $fshortcode = '<div id="fd_signup">
    <form method="post" action="#fd_signup" id="fd_signup_form">
		<input type="hidden" id="fd_submit_type" name="fd_submit_type" value="html" />
		<input type="hidden" name="fire_action" value="fd_submit_signup_form" />';
		
		if(get_option('fd_form_honeypot')!='')
                {
                $fshortcode .= '<span style="display:none;visibility:hidden;">
		 Please ignore this text box. It is used to detect spammers. If you enter anything into this text box, your message will not be sent.
		 <input type="text" name="are_you_human_54" size="1" value="">
		</span>';
               }
		
	$fshortcode .= '<div class="fd_form_inside">
        <div class="updated" id="fd_message">';
			$fshortcode .= firedrum_global_msg();
		$fshortcode .= '</div><!-- /fd_message -->';
            
                  $fshortcode .= '<div class="fd_merge_var">
                  <label class="fd_var_label" for="email">Email Address<span class="fd_required">*</span></label>
                  <input name="email" id="email" type="text" size="25" maxlength="64" class="fd_input">
                  </div>';
                if(get_option('fd_efname')!='')
                {
               	$fshortcode .= '<div class="fd_merge_var">
                  <label class="fd_var_label" for="efname">First Name</label>
                  <input name="efname" id="efname" type="text" size="25" maxlength="64">
                </div>';
		}
                if(get_option('fd_elname')!='')
                {
              $fshortcode .= ' <div class="fd_merge_var">
                   <label class="fd_var_label" for="elname">Last Name</label>
                  <input name="elname" id="elname" type="text" size="25" maxlength="64">
                </div>';
		}
                if(get_option('fd_company')!='')
                {
                $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="company">Company</label>
                  <input name="company" id="company" type="text" size="25" maxlength="255">
                  </div>';
		}
                if(get_option('fd_address')!='')
                {
                $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="address">Address</label>
                  <input name="address" id="address" type="text" size="25" maxlength="255">
                  </div>';
		}
                if(get_option('fd_address2')!='')
                {
                $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="address2">Address 2</label>
                  <input name="address2" id="address2" type="text" size="25" maxlength="64">
                  </div>';
		}
                if(get_option('fd_city')!='')
                {
               $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="city">City</label>
                  <input name="city" id="city" type="text" size="25" maxlength="64">
                  </div>';
				}
                if(get_option('fd_state')!='')
                {
               $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="state">State</label>
                  <select name="state" id="state">
                      <option value="">-</option>
                      <option value="Alabama">Alabama</option>
                      <option value="Alaska">Alaska</option>
                      <option value="Alberta">Alberta</option>
                      <option value="American Samoa">American Samoa</option>
                      <option value="Arizona">Arizona</option>
                      <option value="Arkansas">Arkansas</option>
                      <option value="British Columbia">British Columbia</option>
                      <option value="California">California</option>
                      <option value="Colorado">Colorado</option>
                      <option value="Connecticut">Connecticut</option>
                      <option value="Delaware">Delaware</option>
                      <option value="District of Columbia">District of Columbia</option>
                      <option value="Florida">Florida</option>
                      <option value="Georgia">Georgia</option>
                      <option value="Guam">Guam</option>
                      <option value="Hawaii">Hawaii</option>
                      <option value="Idaho">Idaho</option>
                      <option value="Illinois">Illinois</option>
                      <option value="Indiana">Indiana</option>
                      <option value="Iowa">Iowa</option>
                      <option value="Kansas">Kansas</option>
                      <option value="Kentucky">Kentucky</option>
                      <option value="Louisiana">Louisiana</option>
                      <option value="Maine">Maine</option>
                      <option value="Manitoba">Manitoba</option>
                      <option value="Maryland">Maryland</option>
                      <option value="Massachusetts">Massachusetts</option>
                      <option value="Michigan">Michigan</option>
                      <option value="Minnesota">Minnesota</option>
                      <option value="Mississippi">Mississippi</option>
                      <option value="Missouri">Missouri</option>
                      <option value="Montana">Montana</option>
                      <option value="Nebraska">Nebraska</option>
                      <option value="Nevada">Nevada</option>
                      <option value="New Brunswick">New Brunswick</option>
                      <option value="New Hampshire">New Hampshire</option>
                      <option value="New Jersey">New Jersey</option>
                      <option value="New Mexico">New Mexico</option>
                      <option value="New York">New York</option>
                      <option value="Newfoundland">Newfoundland</option>
                      <option value="North Carolina">North Carolina</option>
                      <option value="North Dakota">North Dakota</option>
                      <option value="Northern Mariana Islands">Northern Mariana Islands</option>
                      <option value="North West Territory">North West Territory</option>
                      <option value="Nova Scotia">Nova Scotia</option>
                      <option value="Ohio">Ohio</option>
                      <option value="Oklahoma">Oklahoma</option>
                      <option value="Ontario">Ontario</option>
                      <option value="Oregon">Oregon</option>
                      <option value="Pennsylvania">Pennsylvania</option>
                      <option value="Puerto Rico">Puerto Rico</option>
                      <option value="Quebec">Quebec</option>
                      <option value="Rhode Island">Rhode Island</option>
                      <option value="Saskatchewan">Saskatchewan</option>
                      <option value="South Carolina">South Carolina</option>
                      <option value="South Dakota">South Dakota</option>
                      <option value="Tennessee">Tennessee</option>
                      <option value="Texas">Texas</option>
                      <option value="Trust Territories">Trust Territories</option>
                      <option value="Utah">Utah</option>
                      <option value="Vermont">Vermont</option>
                      <option value="Virgin Islands">Virgin Islands</option>
                      <option value="Virginia">Virginia</option>
                      <option value="Washington">Washington</option>
                      <option value="West Virginia">West Virginia</option>
                      <option value="Wisconsin">Wisconsin</option>
                      <option value="Wyoming">Wyoming</option>
                      <option value="Yukon">Yukon</option>
                      <option value="Other">Other</option>
                    </select>
                    </div>';
				}
                if(get_option('fd_zip')!='')
                {
               $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="zip">Zip</label>
                  <input name="zip" id="zip" type="text" size="10" maxlength="64">
                  </div>';
				}
                if(get_option('fd_phone')!='')
                {
                $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="phone">Phone</label>
                  <input name="phone" id="phone" type="text" size="10" maxlength="64">
                  </div>';
				}
                if(get_option('fd_mphone')!='')
                {
                $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="mphone">Mobile</label>
                  <input name="mphone" id="mphone" type="text" size="10" maxlength="64">
                  </div>';
				}
                if(get_option('fd_fax')!='')
                {
               $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="fax">Fax</label>
                  <input name="fax" id="fax" type="text" size="10" maxlength="64">
                  </div>';
				}
                if(get_option('fd_gender')!='')
                {
              $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="gender">Gender</label>
                  <select name="gender" id="gender">
                      <option value="">-</option>
                      <option value="male">Male</option>
                      <option value="female">Female</option>
                    </select>
                    </div>';
				}
                if(get_option('fd_bday')!='')
                {
              $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="bdaymonth">Birthday</label>
                  <select name="bdaymonth" id="bdaymonth">
                      <option selected value="">Month</option>
                      <option value="01">January</option>
                      <option value="02">February</option>
                      <option value="03">March</option>
                      <option value="04">April</option>
                      <option value="05">May</option>
                      <option value="06">June</option>
                      <option value="07">July</option>
                      <option value="08">August</option>
                      <option value="09">September</option>
                      <option value="10">October</option>
                      <option value="11">November</option>
                      <option value="12">December</option>
                    </select>
                    <select name="bdayday">
                      <option selected value="">Day</option>
                      <option value="01">01</option>
                      <option value="02">02</option>
                      <option value="03">03</option>
                      <option value="04">04</option>
                      <option value="05">05</option>
                      <option value="06">06</option>
                      <option value="07">07</option>
                      <option value="08">08</option>
                      <option value="09">09</option>
                      <option value="10">10</option>
                      <option value="11">11</option>
                      <option value="12">12</option>
                      <option value="13">13</option>
                      <option value="14">14</option>
                      <option value="15">15</option>
                      <option value="16">16</option>
                      <option value="17">17</option>
                      <option value="18">18</option>
                      <option value="19">19</option>
                      <option value="20">20</option>
                      <option value="21">21</option>
                      <option value="22">22</option>
                      <option value="23">23</option>
                      <option value="24">24</option>
                      <option value="25">25</option>
                      <option value="26">26</option>
                      <option value="27">27</option>
                      <option value="28">28</option>
                      <option value="29">29</option>
                      <option value="30">30</option>
                      <option value="31">31</option>
                    </select>
                 </div>';
		}
                if(get_option('fd_annv')!='')
                {
                $fshortcode .= '<div class="fd_merge_var">
                   <label class="fd_var_label" for="annvmonth">Anniversary</label>
                  <select name="annvmonth" id="annvmonth">
                      <option selected value="">Month</option>
                      <option value="01">January</option>
                      <option value="02">February</option>
                      <option value="03">March</option>
                      <option value="04">April</option>
                      <option value="05">May</option>
                      <option value="06">June</option>
                      <option value="07">July</option>
                      <option value="08">August</option>
                      <option value="09">September</option>
                      <option value="10">October</option>
                      <option value="11">November</option>
                      <option value="12">December</option>
                    </select>
                    <select name="annvday">
                      <option selected value="">Day</option>
                      <option value="01">01</option>
                      <option value="02">02</option>
                      <option value="03">03</option>
                      <option value="04">04</option>
                      <option value="05">05</option>
                      <option value="06">06</option>
                      <option value="07">07</option>
                      <option value="08">08</option>
                      <option value="09">09</option>
                      <option value="10">10</option>
                      <option value="11">11</option>
                      <option value="12">12</option>
                      <option value="13">13</option>
                      <option value="14">14</option>
                      <option value="15">15</option>
                      <option value="16">16</option>
                      <option value="17">17</option>
                      <option value="18">18</option>
                      <option value="19">19</option>
                      <option value="20">20</option>
                      <option value="21">21</option>
                      <option value="22">22</option>
                      <option value="23">23</option>
                      <option value="24">24</option>
                      <option value="25">25</option>
                      <option value="26">26</option>
                      <option value="27">27</option>
                      <option value="28">28</option>
                      <option value="29">29</option>
                      <option value="30">30</option>
                      <option value="31">31</option>
                    </select>
                 </div>';
		}
				$custom_fields=firedrum_get_custom_fields_from_api();
				if(is_array($custom_fields['customFields']))
				  {
					  foreach($custom_fields['customFields'] as $field)
					  {
						  if(get_option('cust#_'.$field['id'])!='')
							{
							if($field['dataType']!='date') {
                                   $fshortcode .= '<div class="fd_merge_var">
                                   <label class="fd_var_label" for="cust#_'.$field['id'].'">'.$field['name'].'</label>
                                  <input name="cust#_'.$field['id'].'" id="cust#_'.$field['id'].'"  type="text" size="25" maxlength="64">
                                  </div>';
                                  } else {
							
					$fshortcode .= '<div class="fd_merge_var">
                                   <label class="fd_var_label" for="cust#_'.$field['id'].'">'.$field['name'].'</label>
                                   
                                    <select  name="custmonth#_'.$field['name'].'" id="cust#_'.$field['name'].'">
                                    	<option selected value="">Month</option>
                      			<option value="01">January</option>
                      			<option value="02">February</option>
                      			<option value="03">March</option>
                      			<option value="04">April</option>
                      			<option value="05">May</option>
                      			<option value="06">June</option>
                     			<option value="07">July</option>
                      			<option value="08">August</option>
                      			<option value="09">September</option>
                      			<option value="10">October</option>
                      			<option value="11">November</option>
                      			<option value="12">December</option>
                                     </select>
                                   
                                    <select  name="custday#_'.$field['name'].'" id="cust#_'.$field['name'].'">
                                      <option selected value="">Day</option>
                      		      <option value="01">01</option>
                      		      <option value="02">02</option>
                      		      <option value="03">03</option>
                      		      <option value="04">04</option>
                     		      <option value="05">05</option>
		                      <option value="06">06</option>
		                      <option value="07">07</option>
		                      <option value="08">08</option>
		                      <option value="09">09</option>
		                      <option value="10">10</option>
		                      <option value="11">11</option>
		                      <option value="12">12</option>
		                      <option value="13">13</option>
		                      <option value="14">14</option>
		                      <option value="15">15</option>
		                      <option value="16">16</option>
		                      <option value="17">17</option>
		                      <option value="18">18</option>
		                      <option value="19">19</option>
		                      <option value="20">20</option>
		                      <option value="21">21</option>
		                      <option value="22">22</option>
		                      <option value="23">23</option>
		                      <option value="24">24</option>
		                      <option value="25">25</option>
		                      <option value="26">26</option>
		                      <option value="27">27</option>
		                      <option value="28">28</option>
		                      <option value="29">29</option>
		                      <option value="30">30</option>
		                      <option value="31">31</option>
                                    </select>
                                    
                                  </div>';		
						}
						
						}
						  
					  }
					  
				  }
                if(get_option('fd_cat_use')!='' && get_option('fd_cat_use')=='Y')
                {
					$category = firedrum_get_category_from_api();
					   $fshortcode .= '<div class="interestFields">
						   <h3>Interests</h3>';
					 if(is_array($category['categories']))
			 		 {
						  foreach($category['categories'] as $cat)
						  {
							  if(get_option('000'.$cat['id'])!='')
							  {
							  $fshortcode .= '<input type="checkbox" name="'.get_option('000'.$cat['id']).'" value="'.get_option('000'.$cat['id']).'">
								  <span class="catName">'.$cat['name'].'</span>';
							  }
					  	}
					 }
                                    $fshortcode .= '</div>';
				}
				else
				{
				$category = firedrum_get_category_from_api();

						  foreach($category['categories'] as $cat)
						  {
							  if(get_option('000'.$cat['id'])!='')
							  {

                                  $fshortcode .= '<input type="hidden" name="'.get_option('000'.$cat['id']).'" value="'.get_option('000'.$cat['id']).'">';
							  }
					  }
				}
				
				if(get_option('fd_form_captcha')!='' && shortcode_exists( 'bws_captcha' ))
                {
                $fshortcode .= '<div class="fd_merge_var">' . do_shortcode('[bws_captcha]') . '</div>';
				}
				
                $fshortcode .= '<div class="fd_signup_submit">';
                if(get_option('fd_submit_text')!='')
                {
                  $fshortcode .= '<input type="submit" name="fd_signup_submit" id="fd_signup_submit" value="'.get_option('fd_submit_text').'">';
				}
				else
				{
                  $fshortcode .= '<input type="submit" name="fd_signup_submit" id="fd_signup_submit" value="Submit">';

				}
                                if(get_option('fd_form_poweredby') == 'Y') {
                     $fshortcode .= '<div class="poweredby" style="text-align: center; font-size: 12px; margin-top: 8px;">powered by <a href="http://www.firedrum.com/" target="_blank">FireDrum</a></div>';           
                                }
            $fshortcode .= '</div>
        
        </div>
    </form>
    </div>';
  }
  return $fshortcode;
}

add_shortcode('firedrum_marketing', 'firedrum_form_shortcode');
add_filter('widget_text', 'do_shortcode');
/**
 * Firedrum Subscribe Box widget class
 */
class Firedrum_Widget extends WP_Widget {

	function Firedrum_Widget() {
		$widget_ops = array( 
			'description' => __('Displays a Firedrum Subscribe box', 'firedrum')
		);
		$this->WP_Widget('Firedrum_Widget', __('Firedrum Widget', 'firedrum'), $widget_ops);
	}

	function widget($args, $instance ) {
		if (!is_array($instance)) {
			$instance = array();
		}
		echo firedrum_signup_form(array_merge($args, $instance));
	}
	
}