/* Form submission functions for the Firedrum Widget */

;(function($){

	$(document).ready(function($) {

		// Change our submit type from HTML (default) to JS

		$('[id="fd_submit_type"]').val('js');

		

		// Attach our form submitter action

		

		//alert(firedrum.ajax_url);

		$('[id="fd_signup_form"]').each(function() {

			$(this).ajaxForm({

				url: firedrum.ajax_url, 

				type: 'POST', 

				dataType: 'text',

				beforeSubmit: fd_beforeForm.bind(null, this),

				success: fd_success.bind(null, this)

			});

		});

	});

	

	function fd_beforeForm(form){

		// Disable the submit button

		$('[id="fd_signup_submit"]', form).attr("disabled","disabled");

	}

	function fd_success(form, data){

		// Re-enable the submit button

		$('[id="fd_signup_submit"]', form).removeAttr("disabled");

		

		// Put the response in the message div

		$('[id="fd_message"]', form).html(data);

		

		// See if we're successful, if so, wipe the fields

		var reg = new RegExp("class='fd_success_msg'", 'i');

		if (reg.test(data)){

			$('[id=fd_signup_form]').each(function(){

				this.reset();

			});

			$('[id="fd_submit_type"]', form).val('js');

		}

		$.scrollTo($(form).parent(), {offset: {top: -28}});

	}

})(jQuery);

