// JavaScript Document
function closeInput(elm) {
    var td = elm.parentNode;
    var value = elm.value;
    td.removeChild(elm);
    td.innerHTML = value;
}

function addInput(elm) {
    if (elm.getElementsByTagName('input').length > 0) return;

    var value = elm.innerHTML;
    elm.innerHTML = '';

     var input = document.createElement('input');
    input.setAttribute('type', 'text');
    input.setAttribute('value', value);
	input.setAttribute('name', 'new_api_key');
	input.setAttribute('id', 'new_api_key');
	
    //input.setAttribute('onBlur', 'closeInput(this)');
    elm.appendChild(input);
	
    input.focus();
}

function addInput2(elm) {
    if (elm.getElementsByTagName('input').length > 0) return;

    var value = elm.innerHTML;
    elm.innerHTML = '';

     var input = document.createElement('input');
    input.setAttribute('type', 'text');
    input.setAttribute('value', value);
	input.setAttribute('name', 'new_api_url');
	input.setAttribute('id', 'new_api_url');
	
    //input.setAttribute('onBlur', 'closeInput(this)');
    elm.appendChild(input);
	
    input.focus();
}

function disabledCustomStyle(){

    if(document.getElementById("fd_form_styling").checked == true) {
        document.getElementById("fd_form_background_color").removeAttribute("disabled");
        document.getElementById("fd_form_text_color").removeAttribute("disabled");
        document.getElementById("fd_form_text_size").removeAttribute("disabled");
        document.getElementById("fd_form_text_font").removeAttribute("disabled");
    } else {
        document.getElementById("fd_form_background_color").setAttribute("disabled","disabled");
        document.getElementById("fd_form_text_color").setAttribute("disabled","disabled");
        document.getElementById("fd_form_text_size").setAttribute("disabled","disabled");
        document.getElementById("fd_form_text_font").setAttribute("disabled","disabled");
    }
}

function disabledBoreder(){
        if(document.getElementById("fd_form_border").checked == true) {
            document.getElementById("fd_form_border_color").removeAttribute("disabled");
        } else {
            document.getElementById("fd_form_border_color").setAttribute("disabled","disabled");
        }
}

function onLoadBody(){
    disabledCustomStyle();
    disabledBoreder();
}

window.onload = onLoadBody;